Type to search.

Delete component templates

  • DELETE /_component_template/{name}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.8 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Component templates are building blocks for constructing index templates that specify index mappings, settings, and aliases.

Required privileges

Cluster privileges manage_index_templates

Path parameters

name union string | string[] required

Comma-separated list or wildcard expression of component template names used to limit the request.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.